class Api::SyncController <  Api::ApiController
  
  def sync_data
  	# Here comes to save the sync records.
  	Order.sync_order_records(params[:orders])
  	OrderItem.sync_order_item_records(params[:order_items])
  	SaleOrder.sync_sale_order_records(params[:sale_orders])
  	Sale.sync_sale_records(params[:sales])
  	SaleItem.sync_sale_item_records(params[:sale_items])
  	SaleAudit.sync_sale_audit_records(params[:sale_audits])
  	SalePayment.sync_sale_payment_records(params[:sale_payments])
  	SaleTax.sync_sale_tax_records(params[:sale_taxes])
  	ShiftSale.sync_shift_sale_records(params[:shift_sales])
  	Booking.sync_booking_records(params[:bookings])
  	AssignedOrderItem.sync_assigned_order_item_records(params[:assigned_order_items])
    SeedGenerator.sync_seed_generator_records(params[:seed_generators])

    # render :json => { :status => true, :message => "Hello!" }
  end
end